pacemaker-1.1.18-3.fc28.x86_64.rpm


Advertisement

Description

pacemaker - Scalable High-Availability cluster resource manager

Property Value
Distribution Fedora 28
Repository Fedora Updates x86_64
Package filename pacemaker-1.1.18-3.fc28.x86_64.rpm
Package name pacemaker
Package version 1.1.18
Package release 3.fc28
Package architecture x86_64
Package type rpm
Category System Environment/Daemons
Homepage http://www.clusterlabs.org
License GPLv2+ and LGPLv2+
Maintainer -
Download size 437.43 KB
Installed size 1.23 MB
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.
It supports more than 16 node clusters with significant capabilities
for managing resources and dependencies.
It will run scripts at initialization, when machines go up or down,
when related resources fail and can be configured to periodically check
resource health.
Available rpmbuild rebuild options:
--with(out) : coverage doc hardening pre_release profiling

Alternatives

Package Version Architecture Repository
pacemaker-1.1.18-3.fc28.i686.rpm 1.1.18 i686 Fedora Updates
pacemaker-1.1.18-2.fc28.1.i686.rpm 1.1.18 i686 Fedora
pacemaker-1.1.18-2.fc28.1.x86_64.rpm 1.1.18 x86_64 Fedora
pacemaker - - -

Requires

Name Value
/bin/bash -
corosync -
libbz2.so.1()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libcfg.so.6()(64bit) -
libcfg.so.6(COROSYNC_CFG_0.82)(64bit) -
libcib.so.4()(64bit) -
libcmap.so.4()(64bit) -
libcmap.so.4(COROSYNC_CMAP_1.0)(64bit) -
libcorosync_common.so.4()(64bit) -
libcpg.so.4()(64bit) -
libcpg.so.4(COROSYNC_CPG_1.0)(64bit) -
libcrmcluster.so.4()(64bit) -
libcrmcommon.so.3()(64bit) -
libcrmservice.so.3()(64bit) -
libdbus-1.so.3()(64bit) -
libdl.so.2()(64bit) -
libglib-2.0.so.0()(64bit) -
libgnutls.so.30()(64bit) -
libgnutls.so.30(GNUTLS_3_4)(64bit) -
liblrmd.so.1()(64bit) -
libncurses.so.6()(64bit) -
libpam.so.0()(64bit) -
libpam.so.0(LIBPAM_1.0)(64bit) -
libpe_rules.so.2()(64bit) -
libpe_status.so.10()(64bit) -
libpengine.so.10()(64bit) -
libqb >= 0.13.0
libqb.so.0()(64bit) -
libquorum.so.5()(64bit) -
libquorum.so.5(COROSYNC_QUORUM_1.0)(64bit) -
librt.so.1()(64bit) -
libstonithd.so.2()(64bit) -
libtinfo.so.6()(64bit) -
libtransitioner.so.2()(64bit) -
libuuid.so.1()(64bit) -
libxml2.so.2()(64bit) -
libxslt.so.1()(64bit) -
pacemaker-cli = 1.1.18-3.fc28
pacemaker-cluster-libs = 1.1.18-3.fc28
pacemaker-libs = 1.1.18-3.fc28
python >= 2.6
resource-agents -
rtld(GNU_HASH) -
systemd -

Provides

Name Value
config(pacemaker) = 1.1.18-3.fc28
pacemaker = 1.1.18-3.fc28
pacemaker(x86-64) = 1.1.18-3.fc28
pcmk-cluster-manager -

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package pacemaker-1.1.18-3.fc28.x86_64.rpm
Source Package pacemaker-1.1.18-3.fc28.src.rpm

Install Howto

Install pacemaker rpm package:

# dnf install pacemaker

Files

Path
/etc/sysconfig/pacemaker
/usr/lib/.build-id/
/usr/lib/.build-id/0d/8ba2266c25d77d78c5f80cc975b96f23c3caac
/usr/lib/.build-id/2f/61ebdee40aa2612aad31119b6bc9f70b46fc86
/usr/lib/.build-id/42/577814141b40230027c20b9de154c5d2b25091
/usr/lib/.build-id/57/e8dbe25707f0575e4532c39958519e623c5441
/usr/lib/.build-id/74/9620f82263421cb23919eb554933942b76f98a
/usr/lib/.build-id/9a/77b8f72699ca2d65c82754506c96452e8fb6de
/usr/lib/.build-id/a5/2e163313044645ddf27de87b55982daf07c696
/usr/lib/.build-id/b9/3291b99fd00af70558acaf869f94886c41422f
/usr/lib/.build-id/bf/c214c7ea5569bbc28306618537a850660697f2
/usr/lib/.build-id/cd/0ff7e5dbae5721c5542e2d83a398e88f4d49f6
/usr/lib/.build-id/d9/418f961267b2d9eb781a2c71d54c3979a904b0
/usr/lib/.build-id/e0/d406b5943f5e2f71976a4bec585a60f23ffa37
/usr/lib/.build-id/eb/aded34e6c89fb64e7773eaf99242d9b3032b14
/usr/lib/.build-id/f4/25841930b39d401aefc0362d5c52b71920fe56
/usr/lib/.build-id/f9/22bcc9e83f91d6ba0acca81ca7eca2aa33f1eb
/usr/lib/ocf/resource.d/.isolation/docker-wrapper
/usr/lib/ocf/resource.d/pacemaker/controld
/usr/lib/ocf/resource.d/pacemaker/remote
/usr/lib/systemd/system/pacemaker.service
/usr/libexec/pacemaker/attrd
/usr/libexec/pacemaker/cib
/usr/libexec/pacemaker/cibmon
/usr/libexec/pacemaker/crmd
/usr/libexec/pacemaker/lrmd
/usr/libexec/pacemaker/lrmd_internal_ctl
/usr/libexec/pacemaker/pengine
/usr/libexec/pacemaker/stonith-test
/usr/libexec/pacemaker/stonithd
/usr/sbin/crm_attribute
/usr/sbin/crm_master
/usr/sbin/crm_node
/usr/sbin/pacemakerd
/usr/sbin/stonith_admin
/usr/share/doc/pacemaker/COPYING
/usr/share/doc/pacemaker/ChangeLog
/usr/share/licenses/pacemaker/GPLv2
/usr/share/man/man7/crmd.7.gz
/usr/share/man/man7/ocf_pacemaker_controld.7.gz
/usr/share/man/man7/ocf_pacemaker_remote.7.gz
/usr/share/man/man7/pengine.7.gz
/usr/share/man/man7/stonithd.7.gz
/usr/share/man/man8/crm_attribute.8.gz
/usr/share/man/man8/crm_master.8.gz
/usr/share/man/man8/crm_node.8.gz
/usr/share/man/man8/pacemakerd.8.gz
/usr/share/man/man8/stonith_admin.8.gz
/usr/share/pacemaker/alerts/alert_file.sh.sample
/usr/share/pacemaker/alerts/alert_smtp.sh.sample
/usr/share/pacemaker/alerts/alert_snmp.sh.sample
/var/lib/pacemaker/cib/
/var/lib/pacemaker/pengine/

Changelog

2019-04-25 - Fedora Release Engineering <releng@fedoraproject.org> - 1.1.18-3
- Apply fixes for security issues:
. CVE-2019-3885 (use-after-free with potential information disclosure)
. CVE-2018-16877 (insufficient local IPC client-server authentication)
. CVE-2018-16878 (insufficient verification inflicted preference of
uncontrolled processes)
2018-02-08 - Fedora Release Engineering <releng@fedoraproject.org> - 1.1.18-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2017-11-16 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 1.1.18-2
- Make sure neither of pacemaker{,_remoted} is process-limited
2017-11-15 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 1.1.18-1
- Update for new upstream tarball for release candidate: Pacemaker-1.1.18,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-1.1.18
- Make -libs-devel package dependencies arch-qualified
(-cts hasn't been switched at this time, pending further cleanup)
2017-11-03 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 1.1.18-0.1.rc4
- Update for new upstream tarball for release candidate: Pacemaker-1.1.18-rc4,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-1.1.18-rc4
2017-10-26 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 1.1.18-0.1.rc3
- Update for new upstream tarball for release candidate: Pacemaker-1.1.18-rc3,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-1.1.18-rc3
2017-10-16 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 1.1.18-0.1.rc2
- Update for new upstream tarball for release candidate: Pacemaker-1.1.18-rc2,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-1.1.18-rc2
- Fix check scriptlet so as to work properly also with rpm<4.14 (not strictly
required since: https://github.com/rpm-software-management/rpm/pull/249,
but pragmatically follow the upstream)
2017-08-03 - Fedora Release Engineering <releng@fedoraproject.org> - 1.1.17-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-27 - Fedora Release Engineering <releng@fedoraproject.org> - 1.1.17-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-07-07 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 1.1.17-1
- Update for new upstream tarball: Pacemaker-1.1.17,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-1.1.17

See Also

Package Description
pacemaker-cli-1.1.18-3.fc28.x86_64.rpm Command line tools for controlling Pacemaker clusters
pacemaker-cluster-libs-1.1.18-3.fc28.i686.rpm Cluster Libraries used by Pacemaker
pacemaker-cluster-libs-1.1.18-3.fc28.x86_64.rpm Cluster Libraries used by Pacemaker
pacemaker-cts-1.1.18-3.fc28.x86_64.rpm Test framework for cluster-related technologies like Pacemaker
pacemaker-doc-1.1.18-3.fc28.x86_64.rpm Documentation for Pacemaker
pacemaker-libs-1.1.18-3.fc28.i686.rpm Core Pacemaker libraries
pacemaker-libs-1.1.18-3.fc28.x86_64.rpm Core Pacemaker libraries
pacemaker-libs-devel-1.1.18-3.fc28.i686.rpm Pacemaker development package
pacemaker-libs-devel-1.1.18-3.fc28.x86_64.rpm Pacemaker development package
pacemaker-nagios-plugins-metadata-1.1.18-3.fc28.x86_64.rpm Pacemaker Nagios Metadata
pacemaker-remote-1.1.18-3.fc28.x86_64.rpm Pacemaker remote daemon for non-cluster nodes
pag-0.8-1.fc28.noarch.rpm Commandline interaction with pagure.io
paho-c-1.3.0-0.fc28.i686.rpm MQTT C Client
paho-c-1.3.0-0.fc28.x86_64.rpm MQTT C Client
paho-c-devel-1.3.0-0.fc28.i686.rpm MQTT C Client development kit
Advertisement
Advertisement